Skip to main content
GET
List retained operation events

Authorizations

x-api-key
string
header
required

Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.

Path Parameters

operationId
string
required
Pattern: ^aop_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

limit
integer
default:50

Maximum rows in this page.

Required range: 1 <= x <= 100
cursor
string

Opaque nextCursor from the prior page of the same query and mode.

Maximum string length: 4096

Response

A bounded ascending page of event envelopes.

events
object[]
required
nextCursor
string | null
required
snapshotAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$